Subject: RE: Interoperability of TIFF FX

From: "McIntyre, Lloyd" <[email-masked]>
Date: Tue, 25 Sep 2001 18:59:18 -0700

Scott,
No matter how one looks at it, TIFF-FX specifies a file format with as set
of encodings. It does NOT specify a transport protocol or any other system
requirement. This fact cannot be changed. Appropriately the WG's validation
directions were to confirm gerneration of the specified TIFF-FX encodings by
two or more writers and reading of those encodings by two or more
independent readers. How those files were exchanged is irrelevant. This is
exactly what was done and documented in
http://www.ietf.org/IESG/Implementations/TIFF-FAX-implementation.txt. Your
comments may be more appropriate in reference to RFC 2305, which is a system
specification with specific file format, transport protocol, addressing and
other requirements.

I hope this clarifies your misunderstandings.

Regards,
Lloyd

> -----Original Message-----
> From: Scott Foshee [mailto:[email-masked]]
> Sent: Tuesday, September 25, 2001 4:29 PM
> To: McIntyre, Lloyd
> Cc: 'Larry Masinter'; [email-masked]; [email-masked]; [email-masked];
> [email-masked]; Ned Freed; Patrik Faltstrom; Claudio
> Allocchio; Hiroshi Tamura
> Subject: Interoperability of TIFF FX
> 
> 
> Lloyd,
> 
> It is clearly stated that Adobe's 9/97 license grant was the purpose 
> of Internet fax.
> 
> Dismissing the requirement to have TIFF FX pass Internet Fax 
> interoperability requirements is clearly wrong.   You seem to defend 
> progression of TIFF FX based on interoperability tests other than 
> Internet Fax use, which is clearly outside the scope of the Adobe 
> license.   It also raises a separate issue regarding the intended use 
> of TIFF FX by those conducting non-Internet fax interoperability 
> tests.
> 
> Thus, in addition to the TIFF FX specification being out of scope of 
> Adobe's license grant, the IETF has yet to receive or consider 
> interoperability tests that were conducted within the scope of the 
> license grant.  Further, it would seem that the IETF process is being 
> used to develop a standard with intended use and based on 
> interoperability tests that are outside the stated scope of not only 
> Adobe's license, but that of the working group.
> 
> It would seem that the IETF would want the 'intended use' of the 
> standards it develops to be within the scope of 'stated purpose' of 
> the working group performing the development.  Your interoperability 
> comments indicate otherwise.
> 
> Given that the specification and the interoperability testing is out 
> of scope of Adobe's license grant, it would seem that any 
> implementation and use of TIFF FX is built on very shaky ground. 
> This should be of concern to anyone building product based on TIFF FX.
> 
> I continue to support a plan that focuses on progression of just 
> those parts that can pass interoperability testing as described in 
> London.  Only in this case is it likely that license scope issues 
> will be minimal or nonexistent.  Only then can product 
> implementations be on firm ground.
> 
> Scott
> 
> 
> 
> At 4:47 PM -0700 9/11/01, McIntyre, Lloyd wrote:
> >Larry,
> >I am surprised that you of all people would be confused about what is
> >appropriate for interoperability testing of a fileformat, 
> such as TIFF-FX.
> >Given your statement below, let me clarify for everyone's 
> benefit that
> >TIFF-FX is a fileformat and NOT an Internet Fax 
> implementation, consequently
> >http://www.ietf.org/IESG/Implementations/TIFF-FAX-implementation.txt
> >satisfies the requirements, as confirmed by the IFax WG Chair.
> >
> >Lloyd
> >>  -----Original Message-----
> >>  From: Larry Masinter [mailto:[email-masked]]
> >>  Sent: Monday, September 10, 2001 8:44 PM
> >>  To: [email-masked]
> >>  Subject: RE: Resolving TIFF dilemma
> >>
> >>
> >>
> >>  I was hoping we could make progress on the question of
> >>  interoperability
> >>  between existing Internet Fax implementations and typical
> >>  configurations
> >>  of email receivers and their image/tiff displayers. It 
> would seem to
> >>  be difficult to judge without actual data and sample files from
> >>  actual Internet Fax implementations.
> >>
> >>  In any case, all of the implementations in
> >>   
> >>  
http://www.ietf.org/IESG/Implementations/TIFF-FAX-implementation.txt
>>  are described as TIFF-(F)x reader/writer, not Internet Fax
>>  implementations.
>>  Shouldn't the criteria for Internet Fax interoperability be judged
>>  by implementations of Internet Fax?
>>
>>  Larry
>>
>>